Subject: RE: [Mip4] WG adoption call on draft-kulkarni-mobileip-dynamic-as signment-02.txt

From: Tsirtsis George <[email-masked]>
Date: Fri, 12 Dec 2003 11:06:04 -0500

But the draft clearly *also* talks about redirection for the purpose of
routing optimality....mind you I think this is a good thing :-)

George
-----Original Message-----
From: Kent Leung [mailto:[email-masked]]
Sent: Friday, December 12, 2003 3:57 PM
To: Henrik Levkowetz
Cc: Tsirtsis George; Tsirtsis George; [email-masked]
Subject: Re: [Mip4] WG adoption call on
draft-kulkarni-mobileip-dynamic-as signment-02.txt

Right, the solution provided in this draft is for dynamically assigning
an HA for initial registration.  The mechanism allows the network to
choose an HA when MN request with AZOA or notify the MN the assigned
HA when MN request an administratively prohibited HA in RRQ.

Kent

At 04:40 PM 12/12/2003 +0100, Henrik Levkowetz wrote:
>On Friday, 12 Dec 2003, George Tsirtsis wrote:
>
> > The discussion was, however, about redirection to an HA that does not
> > necessarily share any state with the current HA.
>
><chair hat off>
>   Ok. It wasn't clear to me at first that this was what you desired,
>   rather than what you thought you at best could get...
></chair hat off>
>
> > The question is whether
> > such redirection should only be optional or whether optional and
compulsory
> > redirection should be allowed....(I prefer the latter).
>
><chair hat on>
>   From the viewpoint of the problem the dyn-assignment draft originally
>   aimed to solve, only dynamic assignment at the start of a session was
>   considered and seemed to make sense.
>
>   If we are now talking about extending this to a mechanism which will
>   break off a session, but include a next-ha in the RRP refusal, I think
>   we need to make sure we have a constituency which needs such a thing,
>   and we have to weigh the benefits against the drawbacks of having
>   a re-assignment mechanism which breaks off the current session.
></chair hat on>
>
><chair hat off>
>   If we're going to have a mechanism to refuse a re-registration with
>   a pointer to another HA, I'd prefer to be able to have it both
>   optional and compulsory, as you seem to prefer too. But I'm not
>   quite sure if the benefits in reduced round-trips of such a solution
>   outweigh the simplicity of the HA simply refusing a registration, and
>   the MN subsequently trying to register a new session and at that time
>   be assigned a new HA, according to the mechanism of the current draft.
>   Possibly it does.
></chair hat off>
>
> > Non of this seems to me to be affecting your draft as you describe 
> below but
> > I will wait for it to come out so I can get the full picture of what is
> > being proposed.
>
><chair hat off>
>   Fair enough.
></chair hat off>
>
>         Henrik

-- 
Mip4 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mip4

---

From: Alpesh <[email-masked]>
Date: Fri, 12 Dec 2003 08:25:40 -0800

George -

Yes, but the 'redirection' was intended to happen during the initial 
registration. With little extension/
expansion of interpretation of the text we can accomodate the 
'in-session' redirection/reanchoring
that you suggest. But that would break the session. Henrik's draft would 
achieve reanchoring without
losing session - probably both methods can be supported??

Alpesh

---

From: Alpesh <[email-masked]>
Date: Fri, 12 Dec 2003 09:13:40 -0800

Alexandru -

We are in the same boat as you. Anchoring with HA's on the local subnet is
not a problem. Henrik is solving the geographic reanchoring - or so I think.

Henrik - I think the WG is waiting for you to break the suspense :)

-a

Alexandru Petrescu wrote:

> Alpesh wrote:
>
>> Henrik's draft would achieve reanchoring without losing session
>
>
> I'm trying to understand how that could happen.
>
> I was directed to read about VRRP and CARP, which I did.  Both VRRP and
> CARP seem to act on a local subnet.  VRRP (HSRP, VSTB) seem to offer
> end-hosts a means to dynamically select first-hop routers instead of
> statically configuring a default route.  CARP seems to provide
> load-balancing of several routers on same link that would be addressable
> by a unique IP address.  This is my first reading, sorry if 
> misinterpreting.
>
> So VRRP and CARP act only within the scope of a same link.
>
> So, I was wondering whether the HA re-anchoring considers that HA's are
> separated by routers, or that HA's are all linked together by a unique 
> link?
>
> Alex
>
>
>